"use strict";

const either = require("@validatem/either");

module.exports = function (operations) {
	const isObjectType = require("./is-object-type")(operations);
	const isPossiblyForeignColumn = require("./is-possibly-foreign-column")(operations);

	return either([
		isObjectType("sqlExpression"),
		isObjectType("aggregrateFunction"),
		isObjectType("valueFrom"),
		isObjectType("literalValue"),
		isPossiblyForeignColumn
	]);
};
